<?php

namespace lib\Configs;

use lib\Core\Route as Core;

class Route extends Core
{
  public function __construct(string $url)
  {
    parent::__construct($url);
  }

  protected function routeController(string $route): string
  {
    switch ($route) {
      case 'site':
        $route = 'SiteController';
        break;
    }
    return parent::routeController($route);
  }
  protected function routeMethod(string $route): string
  {
    switch ($route) {
      case 'service':
        $route = 'newservices';
        break;
      case 'history':
        $route = 'newhistorys';
        break;
    }
    return parent::routeMethod($route);
  }
}
